CODELITE-MAKE(1)

NAME
codelite-make - a makefile generator based on CodeLite's workspace

SYNOPSIS
codelite-make -w workspace -c configuration [-p project] [-e] [-v]
codelite-make [-h]

DESCRIPTION
codelite-make generates a makefile to build a CodeLite project. The command which can be used to build the project is printed.

OPTIONS

-w, --workspace=workspace-file
    Set the CodeLite workspace file to read the list of projects from.

-c, --config=configuration
    Set the workspace configuration to generate a makefile for.

-p, --project=project
    Set the project to generate a makefile for. If omitted, a makefile for the active project is generated.

-e, --execute
    Build the project after the makefile is generated.

-v, --verbose
    Enable verbose messages.

-h, --help
    Print a brief usage summary.

SEE ALSO
codelite(1), make(1)

CodeLite online documentation ⟨http://codelite.org/LiteEditor/Documentation⟩